Doomsday Engine - Bug #2227

[HeXen] Crash during gameplay at DK_Map08 (Constable gate), going through portals while
Heresiarch is attacking

2017-04-01 16:56 - theleo_ua

Status: Closed Start date: 2017-04-01
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.01

Description

[HeXen] Crash during gameplay with addons at DK_Map08 (Constable gate)

1) Download next addons: https://drive.google.com/file/d/0BygbyP4_gEiTb3hIUTRXME9DdVU/view?usp=sharing

2) Turn them on for Hexen (use default options for TXHD and turn on all 5 packages from veirdo's 2.0 pack). If TXHD is not
displayed, please use this trick: https:/tracker.dengine.net/issues/222

3) Play Hexen DK till Map08 (Constable gate) like in this video:
https://www.youtube.com/watch?v=0dwrPGDzgK8&index=1&list=PL5QwAqOy7WABpsDsuzSKwTk2S8Qnzsl g5#t=4h47m55s
(crash happened at 4:47:55)

Reproduced in 2.0.0.2278 x64 (Windows 7 x64 Ultimate)

CFG + Logs: https://drive.google.com/file/d/0BygbyP4_qEiTeEF20E1ud2gtVkk/view?usp=sharing

NOTE: | will investigate better steps to reproduce (for example without addons) and add them in comments if | find

Related issues:
Related to Bug #2068: [HeXen] Badguys not retaining alerted status upon retur... New 2015-05-21

Associated revisions

Revision 82d78857 - 2017-04-23 08:46 - skyjake

Fixed|Hexen: Crash when going through portals while Heresiarch attacks
Prepare for a temporarily missing attack target.

IssuelD #2227

Revision 07244827 - 2017-04-25 22:25 - skyjake

Fixed|Hexen: Crash when going through portals while Heresiarch attacks
Prepare for a temporarily missing attack target.

IssuelD #2227

History

#1 - 2017-04-01 19:39 - skyjake
- Tags set to Deathkings
- Category set to Defect

- Assignee set to skyjake

#2 - 2017-04-01 19:41 - skyjake

- Target version set to 2.0.1

#3 - 2017-04-22 18:11 - skyjake
- Status changed from New to Progressed
- Target version changed from 2.0.1 to Vanilla/ Gameplay

- % Done changed from 0 to 10
https://drive.google.com/file/d/0BygbyP4_qEiTb3hIUTRXME9DdVU/view?usp=sharing
https://tracker.dengine.net/issues/2225
https://www.youtube.com/watch?v=0dwrPGDzqK8&index=1&list=PL5QwAqOy7WABpsDsuzSKwTk2S8QnzsLg5#t=4h47m55s
https://drive.google.com/file/d/0BygbyP4_qEiTeEF2OE1ud2gtVkk/view?usp=sharing

| spent some time replicating that exact same situation where the crash occurred, but it didn't crash for me. | also kept playing through the rest of the
hub without any issues.

It is possible that this is one of those "bad luck" situations where the map was left in a particular rare state that caused the crash when it was
reloaded.

Let me know if this kind of a crash happens again, maybe we can pinpoint the circumstances better.
#4 - 2017-04-23 00:11 - theleo_ua
skyjake wrote:

| spent some time replicating that exact same situation where the crash occurred, but it didn't crash for me. | also kept playing through the rest of
the hub without any issues.

It is possible that this is one of those "bad luck" situations where the map was left in a particular rare state that caused the crash when it was
reloaded.

Let me know if this kind of a crash happens again, maybe we can pinpoint the circumstances better.

| reproduced the crash, even without packages: just wait while heresiarch will start his attack sequence and go to the portal to another level before he
will throw any fireball. Then go to this map again (through portal), and doomsday will crash

If you still cannot reproduce and/or need video with reproducing or doomsday.out, please tell me

So, as | understand, this should be reproducible in any map with heresiarch, but DK_map08 is easiest because you can type locksmith cheat for keys
and open portal to another level exact in the same room where heresiarch is located

#5 - 2017-04-23 07:56 - skyjake

theleo_ua wrote:

| reproduced the crash, even without packages: just wait while heresiarch will start his attack sequence and go to the portal to another level
before he will throw any fireball. Then go to this map again (through portal), and doomsday will crash

Ah, that narrows it down considerably yes. It would be very helpful if you could save the game and give me a copy of the savegame files from the
moment after you've gone through the portal, leaving Heresiarch in its bad state. That should allow me to easily replicate the crash. (Without addons.)

#6 - 2017-04-23 08:17 - theleo_ua
- File SAVEGAME_EXAMPLE.zip added

Added 2 savegames (one before portal and second before crash)

#7 - 2017-04-23 08:24 - skyjake

Thank you! :) I'm now looking at the crash in the debugger, looks like Heresiarch forgot about its attack target during those portal jumps. Should be
fixable...

#8 - 2017-04-23 08:47 - skyjake
- Status changed from Progressed to Resolved
- Target version changed from Vanilla / Gameplay to 2.0.1

- % Done changed from 10 to 100

I've applied a fix that avoids the crash at least for me. It will be available in the next 2.1 unstable build, and also stable 2.0.1. Thanks again for the
help.

#9 - 2017-04-23 08:50 - skyjake

- Subject changed from [HeXen] Crash during gameplay with addons at DK_Map08 (Constable gate) to [HeXen] Crash during gameplay at DK_Map08
(Constable gate), going through portals while Heresiarch is attacking

#10 - 2017-04-23 10:01 - vermil
This is part of this bigger bug in Dday: https://tracker.dengine.net/issues/2068

#11 - 2017-04-23 10:03 - skyjake
- Related to Bug #2068: [HeXen] Badguys not retaining alerted status upon return to a map added
#12 - 2017-04-23 10:04 - skyjake

Indeed, #2068 needs fixing in the near future...

#13 - 2017-04-25 22:25 - skyjake

- Status changed from Resolved to Closed

Files

CFG+LOGS.7z 377 KB 2017-04-01 theleo_ua

SAVEGAME_EXAMPLE.zip 113 KB 2017-04-23 theleo_ua
